/* --ESTIL HEADER-- */
header {
    display: flex;
    justify-content: space-between; /* Separa logo de menú */
    align-items: center;
    padding: 10px 5%;
    background-color: #F1E9E0;
    font-family: poppins;
	color: black;
    }

/* --CONFIGURACIÓ LOGOTIP HEADER-- */
.logo{
	width: 100px;
    height: auto;
    margin-right: 15px;
}

.contenidor-flex {
    display: flex; /* Activa el mode flex (posa els elements en fila) */
    align-items: center;
    gap: 10px; /* Crea un espai de separació entre la imatge i el text */
    width: 100%;
    padding: 20px;
    box-sizing: border-box;
}

/* --ESTIL MENÚ NAVEGACIÓ SUPERIOR PÀGINA 5-- */
nav ul {
    list-style: none;
    padding: 0px;
    margin: 0;
    display: flex;
}

nav ul li {
    display: inline;
    margin: 0 15px;
    position: relative; /*Necesari per tal de crear el submenú*/
}

nav ul li a {
    color: black;
    text-decoration: none;
    font-weight: bold;
    font-family: 'Poppins';
}

nav ul li a.active {
    text-decoration: underline;     
    text-decoration-color: #FF914D;  
    font-weight: bold;              
}

/* --ESTIL SUBMENÚ-- */
nav ul li ul.submenu {
    display: none;          /* Amagat per defecte */
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    background-color: #F1E9E0;
    min-width: 150px;
    padding: 15px 20px;
    border-radius: 0 0 8px 8px;
    z-index: 999;
    display: flex;
    flex-direction: row; /* Perquè la disposició sempre sigui en fila */
    gap: 20px;
    white-space: nowrap;
    list-style: none;
}

nav ul li ul.submenu li {
    display: inline-block;
    margin: 5px 0;
    padding: 0;
}

nav ul li:hover ul.submenu {
    display: flex; 
}

/* --ESTIL IMATGE PÀGINA 2-- */
.imatge-col {
    flex: 0.5; /* Defineix l'espai que ocupa la imatge */ 
}

.text-col {
    flex: 2; /* El text ocuparà  el doble d'espai que la imatge */
}

.imatge-adaptable {
    width: 100%; /* Fa que la imatge no surti de la seva columna */
    border-style: solid;  
    display: block;
}

.imatge {
    height: auto;
    margin-right: 5px;
    margin-top: 5px;
    text-align: center;
}

/* --ESTIL CAIXES PÀGINA 1-- */
.section-caixes {
    margin-top: 3%;
    text-align: center;
    font-family: 'Poppins';
    color: black;
}

.caixes {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.caixa,.caixa-comentaris {
    background-color: #C6E0F9;
    padding: 15px;
    text-align: center;
    border-radius: 8px;
    width: 90%;
    align-items: center;
    margin: 10px;
    font-family: 'Poppins';
}
.caixa:hover{
    background-color: #0083FF; /* Canvia tot el fons a blau fosc quan passes per sobre */

}

.caixa h3 a {
    text-decoration: none;    /* Treu el subratllat */
    color: inherit;           /* Fa que l'enllaç hereti el color del text del pare (o el que tu vulguis) */
}

.caixa h3 a:visited {
    color: inherit;
}

/* --ESTIL CONTINGUT TEXT PÀGINA 5-- */
.caixa-coneixGent {
    color: black;
    background: #C6E0F9;
    padding: 25px;
    margin: 50px;
    text-align: center;
    border-radius: 8px;
    width: 30%;
    align-items: center;
    font-family: 'Poppins';
}

/* --ESTIL FOOTER-- */
footer {
    background-color: #F1E9E0;
    color: black;
    text-align: center;
    padding: 10px;
    margin-top: 20px;
    font-family: 'Poppins';
}

/* --ESTIL VIDEO PÀGINA 1-- */
.video-inici {
    margin-top: 10px;
    text-align: center;
}

/* --ESTIL TÍTOLS SECCIONS (DIFERENTS PÀGINES)-- */
.titols-seccions h2 {
    color: #045CB0;
    font-family: 'Poppins';
    background-color: #FFBD59;
    text-align: center;
    margin-bottom: 1px;
}

/* --ESTIL IMATGE PÀGINA 2-- */
.imatge-pluma {
    height: auto;
    margin-right: 5px;
    margin-top: 5px;
    flex: 0 0 500px;
}

.imatge-pluma img {
    width: 100%;
    height: auto;
}

/* --ESTIL CONTINGUT TEXT PÀGINA 2-- */
.contingut-sobreNos {
    background-color: #0083FF;
    color: white;
    font-family: 'Poppins';
    text-align: justify;
    padding: 40px;
    margin: 20px 10px;
    font-size: 18px;
    border-bottom: 10px;
    border-left: 3px;
    flex: 1;
    min-width: 0;
    width: 500px;
}

/* --ESTIL CONTINGUT TEXT PÀGINA 4-- */
.contingut-convocatories {
    font-family: 'Poppins';
    font-size: 20px;
    color: black;
    text-align: justify; 
    padding: 50px;
    min-height: 300px;
    display: flex;
    justify-content: flex-end; 
    align-items: center; 
    line-height: 1.6;
    background-image: url ("imatges/imatge6.jpg");
    background-size: cover;
    background-position: center;
}

.contingut-convocatories p {
    max-width: 700px;  /* Forcem que "sigui un bloc estret */
    text-align: justify;  /* El text dins del bloc, a l'esquerra */
    line-height: 1.6;
    margin-left: 20px; 
    margin-right: 20px;
    margin-top: 20px;
    font-family: "Poppins";
}

/* --ESTIL IMATGES EQUIP PÀGINA 2-- */
.imatges-equip {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
    width: 100%;
    margin: 10px 0;
    border-top: 30px;
}

/* --ESTIL CONTINGUT PART SUPERIOR PÀGINA 5-- */
.seccio-superior {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 40px;
    padding: 20px 5%;
    background-color: #FFBD59;
}

.imatge-gent {
    flex: 0 0 600px;
}

.imatge-gent img {
    max-width: 600px; /* Des d'aquí ajustem el temany de la foto */
    height: auto;
    display: block;
}   

.menu-lateral {
    flex: 1;
    width: 300px;
}

.menu-lateral-caixa {
    background-color: #C6E0F9; 
    padding: 20px;
    border-radius: 10px;
    border-top: 10px;
    font-family: 'Poppins';
    width: 30%;
    text-align: left;
}

/* --ESTIL CONTINGUT PART INFERIOR PÀGINA 5-- */
.caixa-comentaris:hover{
background-color: transparent;
}
.seccio-caixes-inferior {
    display: flex;
    justify-content: center; /* Centrades */
    gap: 10px;
    margin-top: 5px;
    padding: 0 5%;
}

.caixa-coneixGent {
    flex: 1;              
    background-color: #C6E0F9;
    padding: 30px;
    border-radius: 8px;
    text-align: center;
    font-family: 'Poppins'; 
}

.caixa-coneixGent h3 a {
    flex: 1;
    text-decoration: none;
    color: black;
}

.caixa-coneixGent {
    flex: 1;              
    background-color: #C6E0F9;
    padding: 30px;
    border-radius: 8px;
    text-align: center;
    font-family: 'Poppins'; 
}

.caixa-coneixGent:hover{
    background-color: #0083FF;
}

/* --ESTIL FORMULARI COMUNITAT-- */
input[type="text"], 
input[type="email"], 
textarea {
    width: 100%;
    padding: 8px; /* Configura l'espai dels diversos camps, fent-los més amples o més estrets */
    margin: 10px 0; /* Espaiat entre camps */
    box-sizing: border-box; /* Evita que el padding faci sortir el camp fora del contenidor */
}

form {
    width: 900px;
    background-color: #90C4F5;
    padding: 20px;
    border: 1px, solid, #045CB0;
    margin: 10px;
    margin-top: 10px;
    justify-content: center;
    font-family: 'Poppins';
}

/* --ESTIL CONTINGUT TEXT PÀGINA 3-- */
.content {
    display: flex;
    justify-content: flex-start; 
    align-items: flex-start; /* Alinea tot a la part de dalt */
}

.column-one, .column-two {
	margin-top: 16px; /* Separem una mica les columnes de l'element anterior; el header */
	display: block;
	width: 33%; 
	padding: 20px 20px 20px 0; 
}

.contingut-actualitat {
    font-family:Poppins;
	margin: 20px;
	padding: 0;
	background-color: white;
	font-size: 15px;    
}

.contingut-actualitat a {
	text-decoration: none; 
	color: #000000; 
}

.contingut-actualitat a:hover {
    text-decoration:none;
    color:#FF914D;
}

.contingut-actualitat h2 {
    margin-bottom: -5px;    
}

.contingut-actualitat p{
    margin-top: 0px;
}


/* --ESTIL IMATGES PÀGINA 3-- */
.column-one img, .column-two img {
    width: 100%;
    height: auto;
    border-radius: 2%;
}

/* --ESTIL MENÚ NAVEGACIÓ SUPERIOR PÀGINA 3-- */
.menu-lateral-caixa.caixa{ 
    margin-top: 16px;
    width: 25%; /* Reduïm una mica l'amplada per tenir espai per moure'l */
    margin-right: 20%; /* Aquest marge l'allunya de la paret de la dreta */
    padding: 20px;
    box-sizing: border-box;
}

/* --ESTIL CONTINGUT TEXT PÀGINA 6-- */
.contingut-tecniquesCrear {
    font-family: 'Poppins';
    font-size: 17px;
    text-align: center;
}

table{
	width: 100%;
	background-color:#C6E0F9;
	border-radius:7px;
	border-color: #000000;
    font-size: 15px;
}

table tr {
    text-align: center;
}

table th {
	height:35px;
	background-color:#90C4F5;
}

table td {
	height:60px;
	padding: 7px;
    text-align:justify
}

/* --ESTIL CONTINGUT PÀGINA 4.1-- */
.tarjeta-beques, .tarjeta-concursos {
    display: flex;                
    align-items: center;         
    background-color: white;
    border-radius: 15px;  /* Fa que les cantonades siguin rodones */
    border: 1px solid black;
    padding: 20px;
    margin-bottom: 20px;
    margin-top: 10px;
	width: 97%;
    font-family: 'Poppins';
}

.seccio-superior-beques, .seccio-inferior-beques, .seccio-superior-concursos, .seccio-inferior-concursos{
    flex: 2px; /* Per separar la informació i situar-la en un altre costat, en aquest cas el dret */
}

button {
	font-size: 0.75em;
	font-weight: bold;
	padding: 5px 20px; 
	border-radius: 3px;
	border: 1px solid #000000;
	color: white;
	background-color: #0083FF
}